Spanish App con notificaciones ya no funciona en la B4a 11.8

gainax00

Member
Hola de nuevo!!!
mis App´s que compilo con B4A 10.9 trabajan bien las notificaciones con:
B4A 10.9
Java 11
pero ahora con B4A 11.8 mis App´s ya no funcionan las notificaciones, es más ya no abre la App!!!
simplemente se cierra y no arroja ningún log.

adjunto mi proyecto cómo funcionaba en B4a 10.9
si alguien puede ayudarme estaré muy agradecido
...por si se preguntan ya actualice el sdk en ambas versiones y no funciona nada!!!
y sí es exactamente una copia del de erel
si alguien tiene un proyecto que compile en la nueva versión y pueda compartir también estaré muy agradecido

F3l1z C0d1f1c4c1c10n a todos!!!!
 

Attachments

  • example.zip
    11.8 KB · Views: 115

gainax00

Member
adjunto imagen del error así como mi manifes, por si ayuda a resolver mi duda o alguien le da una idea de por dónde está la falla

1.png
2.png

si habilito
FirebaseAnalytics.GooglePlayBase
FirebaseAnalytics.Firebase
FirebaseAdMob.FirebaseAds
la App colapsa y no arroja ningún log

Gracias!!!!
 

gainax00

Member
Talvez esto pueda servirte de ayuda:
Hola gracias por contestar.... tengo 40 apps en Google 34 con notificaciones (por tanto no soy nuevo manejando notificaciones), se presenta la hora de actualizar, pero cómo ninguna me compila con la nueva versión de B4a 11.80 no e actualizado ninguna.
pues... ni con tu ejemplo funciono en mi versión de B4A 11.80
me arroja estos errores, nuevos errores, pero al final errores
todas!!!! la librerías están actualizadas eh incluso el core a versión 11.81
22.png
1.png

alguna idea de que es lo que este fallando!!!
ya instale 4 veces el B4A siguiendo "instrucción" del sitio y nada!!!!
 

gainax00

Member
1. The first step is to follow the Firebase integration tutorial:
https://www.b4x.com/android/forum/threads/integrating-firebase-services.67692/
There are a lot missing i guess.
Note that for the ads you probably need more entries.
Hola DonManfred, gracias por contestar, ya seguí la guía 4 veces y nada
tengo 40 apps en Google, 34 con notificaciones (por tanto no soy nuevo manejando notificaciones), se presenta la hora de actualizar, pero cómo ninguna me compila con la nueva versión de B4a 11.80 no e actualizado ninguna.
ya seguí las "instrucciones" 4 veces en instalaciones limpias y siempre salta el mismo error
que podrá estar fallando?
lo curisoo es que tengo mi B4A 10.9 y en eso todo va de maravilla a excepción que no puedo compilar a la versión 31 que solicita Google que esten orientadas las nuevas versiones de las App´s y así poder actualizar mis 34 apps.
 

gainax00

Member
Prueba a buscar por el error "default firebase app", hay bastantes post sobre el tema.

Quizás este te pueda ser de ayuda
Muchas gracias... no funciono jajaaja
pero...
la única solución que encontré después de 8 combinaciones hasta ahorita, funcional y fiable es la siguiente:
Win10_21H2_Spanish_x64
B4A 11.80

seguir el tutorial:
firebase con el ejemplo de fernando1987 :⬇

Gracias por el tiempo de todos los que contestaron.

F3l1z C0d1f1c4c10n a todos!!!!
 

roerGarcia

Active Member
Licensed User
Longtime User
O sea que la falla tenia mas que ver con la versión de Windows que son el B4A ?
Para conocimiento de todos los foristas.
Saludos.
 

gainax00

Member
O sea que la falla tenia mas que ver con la versión de Windows que son el B4A ?
Para conocimiento de todos los foristas.
Saludos.
Es correcto!!, por muy extraño y tonto que sea o parezca, "caprichos de windows" , es así, pues la prueba es que el solicitado ayuda más de 3 veces por diferentes problemas, hasta que decidí probar con windows 10 y vuala, todo quedo excelente!!... salvo que las publicidad de admod fallo.... pero ya es algo que acabo de corregir.
 
Top